import type { Bindings, BindingsDescriptor, BufferBinding, SamplerBinding } from '@antv/g-plugin-device-renderer';
import { ResourceType } from '@antv/g-plugin-device-renderer';
import type { Device_GL } from './Device';
import { ResourceBase_GL } from './ResourceBase';
export declare class Bindings_GL extends ResourceBase_GL implements Bindings {
    type: ResourceType.Bindings;
    uniformBufferBindings: BufferBinding[];
    samplerBindings: (SamplerBinding | null)[];
    constructor({ id, device, descriptor, }: {
        id: number;
        device: Device_GL;
        descriptor: BindingsDescriptor;
    });
}
//# sourceMappingURL=Bindings.d.ts.map