import type { Resource } from '@antv/g-plugin-device-renderer';
export declare class ResourceCreationTracker {
    liveObjects: Set<Resource>;
    creationStacks: Map<Resource, string>;
    deletionStacks: Map<Resource, string>;
    trackResourceCreated(o: Resource): void;
    trackResourceDestroyed(o: Resource): void;
    checkForLeaks(): void;
    setResourceLeakCheck(o: Resource, v: boolean): void;
}
//# sourceMappingURL=ResourceCreationTracker.d.ts.map